<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>millerrabin</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="factorize.html">&lt;&lt; factorize</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="odd.html">odd &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a> &gt; millerrabin</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">millerrabin</h1>
    <p class="refpurpose">Miller-Rabin primality test for bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x:</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">k :</span>
            <dd><p class="para">integer</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">return true if x passes consecutivelly k times  the Miller-Rabin primality test. Default value for k is 3.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilaboperator">^</span><span class="scilabnumber">17</span><span class="scilaboperator">-</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span> <span class="scilabcomment">//Mersenne  prime</span>
<span class="scilabid">millerrabin</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilaboperator">^</span><span class="scilabnumber">23</span><span class="scilaboperator">-</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span> <span class="scilabcomment">//Mersenne not prime</span>
<span class="scilabid">millerrabin</span><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabopenclose">)</span>
<span class="scilabid">factorize</span><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="factorize.html" class="link">factorize</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="factorize.html">&lt;&lt; factorize</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="odd.html">odd &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
